Statistiques de marquage
GETAuthentification requise
Récupérer les statistiques agrégées de marge et de trading pour vos applications enregistrées Over une plage de dates.
Point de terminaison
GET
/applications/v1/markup-statisticsURL de base : https://api.derivws.com
Authentification requise
Ce point de terminaison nécessite un token Bearer OAuth2 avec la portée
application_read et un en-tête Deriv-App-ID.Paramètres de requête
| Paramètre | Type | Obligatoire | Description |
|---|---|---|---|
date_from | string (date) | Oui | Date de début de l'intervalle (AAAA-MM-JJ), inclus, UTC. Exemple : 2026-05-01 |
date_to | string (date) | Oui | Date de fin d'intervalle (AAAA-MM-JJ), incluse, UTC. Exemple : 2026-05-06 |
Codes de statut
200OK - Markup statistics returned successfully
400Bad request - Invalid or missing query parameters
401Unauthorized - Invalid or missing authentication
403Forbidden - Access denied
404Not found - Resource not found
422Unprocessable entity - Validation error
504Gateway timeout - Upstream service timeout
Réponses d'erreur
401Unauthorized
{
"errors": [
{
"status": 401,
"code": "Unauthorized",
"message": "Invalid or missing authentication credentials"
}
],
"meta": {
"endpoint": "/applications/v1/markup-statistics",
"method": "GET",
"timing": 10
}
}403Forbidden
{
"errors": [
{
"status": 403,
"code": "AccessDenied",
"message": "You do not have permission to access this resource"
}
],
"meta": {
"endpoint": "/applications/v1/markup-statistics",
"method": "GET",
"timing": 11
}
}422Validation error
{
"errors": [
{
"status": 422,
"code": "FieldIsRequired",
"message": "date_from is required"
}
],
"meta": {
"endpoint": "/applications/v1/markup-statistics",
"method": "GET",
"timing": 12
}
}D'autres questions ? Nous contacter